use std::fs;

pub fn start() {
	let input = fs::read_to_string("./day1/src/input.txt").unwrap();
	let elves = input.split("\n");
	let mut elves_cals: Vec<(u32, u32)> = vec![];
	let mut i = 1;
	let mut sum = 0;
	for cal in elves {
		match cal.parse::<u32>() {
			Ok(cal) => sum += cal,
			Err(_) => {
				elves_cals.push((i, sum));
				i += 1;
				sum = 0;
			},
		}
	}

	elves_cals.sort_by(|a, b| b.1.cmp(&a.1));

	println!("{:?}", elves_cals.get(0).unwrap());

	let res: u32 = elves_cals
		.iter()
		.map(|f| f.1)
		.take(3).sum();

	println!("{:?}", res);
}